* {
    box-sizing: border-box;
}

body {
    display: grid;
    grid-template-areas: 
        "header"
        "navigation"
        "main";
    height: 100vh;
    grid-template-columns: 1fr;
    grid-template-rows: auto auto 1fr;
    margin: 0;
}

a {
    text-decoration: none;
    color: inherit;
}

@media (min-width: 768px) {
    body {
        grid-template-areas: 
            "header header"
            "navigation main";
        grid-template-columns: 20% 1fr;
        grid-template-rows: 10% 1fr;
    }
}